Debian Bug report logs - #322858
Incomplete YYSTYPE declaration in header

version graph

Package: byacc; Maintainer for byacc is Dave Beckett <dajobe@debian.org>; Source for byacc is src:byacc.

Reported by: Matt Kraai <kraai@ftbfs.org>

Date: Sat, 13 Aug 2005 03:48:45 UTC

Severity: serious

Found in version byacc/20050505-1

Fixed in version byacc/20050813-1

Done: Dave Beckett <dajobe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#322858; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
New Bug report received and forwarded. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: submit@bugs.debian.org
Subject: Incomplete YYSTYPE declaration in header
Date: Fri, 12 Aug 2005 10:30:51 -0700
[Message part 1 (text/plain, inline)]
Package: byacc
Version: 20050505-1
Severity: serious

groff fails to build from source because byacc generates an incomplete
declaration of YYSTYPE in the header file.  The first attachement
contains the header file it generates.  The second attachment contains
a patch that fixes this problem.

This is serious because it prevents groff from building.

-- 
Matt
[y.tab.h (text/x-chdr, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#322858; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Dave Beckett <dajobe@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 322858@bugs.debian.org (full text, mbox):

From: Dave Beckett <dajobe@debian.org>
To: 322858@bugs.debian.org, Matt Kraai <kraai@ftbfs.org>
Subject: Re: Bug#322858: Incomplete YYSTYPE declaration in header
Date: Sat, 13 Aug 2005 23:47:59 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2005-08-12 at 10:30 -0700, Matt Kraai wrote:
> Package: byacc
> Version: 20050505-1
> Severity: serious
> 
> groff fails to build from source because byacc generates an incomplete
> declaration of YYSTYPE in the header file.  The first attachement
> contains the header file it generates.  The second attachment contains
> a patch that fixes this problem.

Recording the diff in eql_tab.h from byacc-old/byacc-new:

--- eqn_tab.h.orig      2005-08-13 23:42:53.000000000 +0100
+++ eqn_tab.h   2005-08-13 23:43:13.000000000 +0100
@@ -56,12 +56,5 @@
 #define SET 312
 #define GRFONT 313
 #define GBFONT 314
-typedef union {
-       char *str;
-       box *b;
-       pile_box *pb;
-       matrix_box *mb;
-       int n;
-       column *col;
-} YYSTYPE;
+ YYSTYPE;
 extern YYSTYPE yylval;


> This is serious because it prevents groff from building.

OK, shame apt-cache rdepends doesn't show Build-Depends, which is what
byacc is likely most used for :/

I've looked at your patch and don't grok it yet.

Dave

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#322858; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #15 received at 322858@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Dave Beckett <dajobe@debian.org>
Cc: 322858@bugs.debian.org
Subject: Re: Bug#322858: Incomplete YYSTYPE declaration in header
Date: Sat, 13 Aug 2005 16:04:40 -0700
[Message part 1 (text/plain, inline)]
On Sat, Aug 13, 2005 at 11:47:59PM +0100, Dave Beckett wrote:
> On Fri, 2005-08-12 at 10:30 -0700, Matt Kraai wrote:
> > Package: byacc
> > Version: 20050505-1
> > Severity: serious
> > 
> > groff fails to build from source because byacc generates an incomplete
> > declaration of YYSTYPE in the header file.  The first attachement
> > contains the header file it generates.  The second attachment contains
> > a patch that fixes this problem.
> 
> Recording the diff in eql_tab.h from byacc-old/byacc-new:
> 
> --- eqn_tab.h.orig      2005-08-13 23:42:53.000000000 +0100
> +++ eqn_tab.h   2005-08-13 23:43:13.000000000 +0100
> @@ -56,12 +56,5 @@
>  #define SET 312
>  #define GRFONT 313
>  #define GBFONT 314
> -typedef union {
> -       char *str;
> -       box *b;
> -       pile_box *pb;
> -       matrix_box *mb;
> -       int n;
> -       column *col;
> -} YYSTYPE;
> + YYSTYPE;
>  extern YYSTYPE yylval;
> 
> 
> > This is serious because it prevents groff from building.
> 
> OK, shame apt-cache rdepends doesn't show Build-Depends, which is what
> byacc is likely most used for :/
> 
> I've looked at your patch and don't grok it yet.

If it is passed the -d option, byacc writes the contents of the union
to a temporary file in addition to y.tab.c so that it can later read
them from this temporary file and write them to y.tab.h.  This doesn't
work, though, because when it goes to read them from this temporary
file, it creates a new temporary file instead.  It reads nothing from
this new temporary file, which leads to it omitting the body of the
union.

-- 
Matt
[signature.asc (application/pgp-signature, inline)]

Reply sent to Dave Beckett <dajobe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@ftbfs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 322858-close@bugs.debian.org (full text, mbox):

From: Dave Beckett <dajobe@debian.org>
To: 322858-close@bugs.debian.org
Subject: Bug#322858: fixed in byacc 20050813-1
Date: Sun, 14 Aug 2005 02:32:04 -0700
Source: byacc
Source-Version: 20050813-1

We believe that the bug you reported is fixed in the latest version of
byacc, which is due to be installed in the Debian FTP archive:

byacc_20050813-1.diff.gz
  to pool/main/b/byacc/byacc_20050813-1.diff.gz
byacc_20050813-1.dsc
  to pool/main/b/byacc/byacc_20050813-1.dsc
byacc_20050813-1_i386.deb
  to pool/main/b/byacc/byacc_20050813-1_i386.deb
byacc_20050813.orig.tar.gz
  to pool/main/b/byacc/byacc_20050813.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dave Beckett <dajobe@debian.org> (supplier of updated byacc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 14 Aug 2005 10:14:12 +0100
Source: byacc
Binary: byacc
Architecture: source i386
Version: 20050813-1
Distribution: unstable
Urgency: low
Maintainer: Dave Beckett <dajobe@debian.org>
Changed-By: Dave Beckett <dajobe@debian.org>
Description: 
 byacc      - public domain Berkeley LALR Yacc parser generator
Closes: 322858
Changes: 
 byacc (20050813-1) unstable; urgency=low
 .
   * New upstream release:
     - Do not close union_file for -d option (Closes: #322858)
Files: 
 3f9f9ab333fee15cc8fc6503f5b43ae4 557 devel extra byacc_20050813-1.dsc
 8fbf9572a448e13ecb7223c774f9d0b8 138684 devel extra byacc_20050813.orig.tar.gz
 ae26635828da94bbf9b86e472eaa86ed 4251 devel extra byacc_20050813-1.diff.gz
 8088e7299a4419bbe605b692f042ac9e 42098 devel extra byacc_20050813-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC/wx/Q+ySUE9xlVoRAnqmAJwOzCCxhonEn1jj5uHmUj+7KfBm3wCeORcX
xtkE6ZovsMqEZvUPEIe6V6c=
=oRPX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#322858; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #25 received at 322858@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 322858@bugs.debian.org
Subject: Re: Bug#322858 acknowledged by developer (Bug#322858: fixed in byacc 20050813-1)
Date: Sun, 14 Aug 2005 08:23:53 -0700
[Message part 1 (text/plain, inline)]
On Sun, Aug 14, 2005 at 02:48:15AM -0700, Debian Bug Tracking System wrote:
>    * New upstream release:
>      - Do not close union_file for -d option (Closes: #322858)

Thanks for fixing this so promptly.

-- 
Matt
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#322858; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #30 received at 322858@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Matt Kraai <kraai@ftbfs.org>
Cc: 322858@bugs.debian.org
Subject: Re: Bug#322858 acknowledged by developer (Bug#322858: fixed in byacc 20050813-1)
Date: Wed, 31 Aug 2005 12:44:45 +0100
On Sun, Aug 14, 2005 at 08:23:53AM -0700, Matt Kraai wrote:
> On Sun, Aug 14, 2005 at 02:48:15AM -0700, Debian Bug Tracking System wrote:
> >    * New upstream release:
> >      - Do not close union_file for -d option (Closes: #322858)
> 
> Thanks for fixing this so promptly.

As the groff maintainer, I second that, having just run into this bug
while trying to make a release. :-)

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:47:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:54:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.